org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_TOGGLEBUTTONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_TOGGLEBUTTONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_TOGGLEBUTTONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_TOGGLEBUTTONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_TOGGLEBUTTONNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_TOGGLEBUTTONNode` | `bindActiveicon(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindButtontype(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindPressed(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_TOGGLEBUTTONNode` | `setActionListener(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setActiveicon(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setButtontype(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setComment(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setEnabled(boolean value)`
    `UI5M_TOGGLEBUTTONNode` | `setEnabled(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setIcon(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setId(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setPressed(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setReference(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setRendered(boolean value)`
    `UI5M_TOGGLEBUTTONNode` | `setRendered(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setStyleseq(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setStylevariant(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setText(java.lang.String value)`
    `UI5M_TOGGLEBUTTONNode` | `setWidth(int value)`
    `UI5M_TOGGLEBUTTONNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_TOGGLEBUTTONNode

          public UI5M_TOGGLEBUTTONNode()

  - ### Method Detail

    - #### setId

          public UI5M_TOGGLEBUTTONNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_TOGGLEBUTTONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_TOGGLEBUTTONNode bindActionListener(IActionListenerDelegation value)

    - #### setActiveicon

          public UI5M_TOGGLEBUTTONNode setActiveicon(java.lang.String value)

    - #### bindActiveicon

          public UI5M_TOGGLEBUTTONNode bindActiveicon(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public UI5M_TOGGLEBUTTONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_TOGGLEBUTTONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_TOGGLEBUTTONNode setAttributemacro(java.lang.String value)

    - #### setButtontype

          public UI5M_TOGGLEBUTTONNode setButtontype(java.lang.String value)

    - #### bindButtontype

          public UI5M_TOGGLEBUTTONNode bindButtontype(IDynamicContentBindingObject value)

    - #### setComment

          public UI5M_TOGGLEBUTTONNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_TOGGLEBUTTONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_TOGGLEBUTTONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_TOGGLEBUTTONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TOGGLEBUTTONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_TOGGLEBUTTONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_TOGGLEBUTTONNode setEnabled(boolean value)

    - #### setIcon

          public UI5M_TOGGLEBUTTONNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_TOGGLEBUTTONNode bindIcon(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_TOGGLEBUTTONNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_TOGGLEBUTTONNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setPressed

          public UI5M_TOGGLEBUTTONNode setPressed(java.lang.String value)

    - #### bindPressed

          public UI5M_TOGGLEBUTTONNode bindPressed(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_TOGGLEBUTTONNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_TOGGLEBUTTONNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_TOGGLEBUTTONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_TOGGLEBUTTONNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_TOGGLEBUTTONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_TOGGLEBUTTONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_TOGGLEBUTTONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_TOGGLEBUTTONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_TOGGLEBUTTONNode setText(java.lang.String value)

    - #### bindText

          public UI5M_TOGGLEBUTTONNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TOGGLEBUTTONNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_TOGGLEBUTTONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_TOGGLEBUTTONNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.